# SolrDocument::merge

(PECL solr >= 0.9.2)

SolrDocument::merge — Merges source to the current SolrDocument

### Description

public SolrDocument::merge ( SolrDocument `$sourceDoc` [, bool `$overwrite` = `TRUE` ] ) : bool

Merges source to the current SolrDocument.

### Parameters

`sourceDoc`

  The source document.

`overwrite`

  If this is `TRUE` then fields with the same name in the destination document will be overwritten.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.